[Solved] Software & Updates Program Quit Working

Post your bugs here.
User avatar
wildman
Posts: 246
Joined: 12 Feb 2014 23:31
Location: Kentucky, USA

[Solved] Software & Updates Program Quit Working

Postby wildman » 14 Nov 2014 18:34

I'm not sure exactly when but this started a few days to a week ago. There were a few updates Nov. 4th, 8th, 9th and the 11th. The logs show no errors. If I run Software & Updates from the main menu, nothing happens. If I run it from a terminal, I get this:

Code: Select all

$ software-properties-gtk

** (software-properties-gtk:10286): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
ERROR:root:Cannot import UbuntuDrivers: No module named 'UbuntuDrivers'
Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 101, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 102, in __init__
    SoftwareProperties.__init__(self, options=options, datadir=datadir)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 105, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 595, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)    
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for SolydXK/solydxk
Any suggestions would be appreciated.
Wildman
May the Source be with you.

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: Software & Updates Program Quit Working

Postby zerozero » 14 Nov 2014 21:11

[moved to Bug Control]

Thanks for reporting.
as you will see bellow it's an issue with solydx-info 1.1.3 (and i assume that also with solydk-info <same version>)

with that version installed

Code: Select all

zerozero@xfce-64:~$ apt policy solydx-info
solydx-info:
  Installed: 1.1.3
  Candidate: 1.1.3
  Version table:
 *** 1.1.3 0
        500 http://packages.solydxk.com/production/ solydxk/main amd64 Packages
        100 /var/lib/dpkg/status
i have exactly the same output

Code: Select all

zerozero@xfce-64:~$ software-properties-gtk

** (software-properties-gtk:15166): WARNING **: Couldn't register with accessibility bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
ERROR:root:Cannot import UbuntuDrivers: No module named 'UbuntuDrivers'
Traceback (most recent call last):
  File "/usr/bin/software-properties-gtk", line 101, in <module>
    app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, file=file)
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py", line 102, in __init__
    SoftwareProperties.__init__(self, options=options, datadir=datadir)
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 105, in __init__
    self.reload_sourceslist()
  File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 595, in reload_sourceslist
    self.distro.get_sources(self.sourceslist)    
  File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
    (self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for SolydXK/solydxk
however if i downgrade to the previous version

Code: Select all

zerozero@xfce-64:/var/cache/apt/archives$ su
Password: 
xfce-64 archives # dpkg -i solydx-info_1.1.2_amd64.deb 
dpkg: warning: downgrading solydx-info from 1.1.3 to 1.1.2
(Reading database ... 221485 files and directories currently installed.)
Preparing to unpack solydx-info_1.1.2_amd64.deb ...
Unpacking solydx-info (1.1.2) over (1.1.3) ...
Setting up solydx-info (1.1.2) ...
Installing new version of config file /etc/lsb-release ...
Installing new version of config file /etc/solydxk/info ...
Processing triggers for solydxk-system (1.2.6) ...
xfce-64 archives # 

Code: Select all

zerozero@xfce-64:~$ apt policy solydx-info
solydx-info:
  Installed: 1.1.2
  Candidate: 1.1.3
  Version table:
     1.1.3 0
        500 http://packages.solydxk.com/production/ solydxk/main amd64 Packages
 *** 1.1.2 0
        100 /var/lib/dpkg/status
it works
4.png
bliss of ignorance

User avatar
wildman
Posts: 246
Joined: 12 Feb 2014 23:31
Location: Kentucky, USA

Re: Software & Updates Program Quit Working

Postby wildman » 14 Nov 2014 23:13

Yes, I do have version 1.1.3 of solydx-info installed. Odd thing though that is the only version that in the cache archives and I haven't removed anything. And Synaptic, after updating the database, will not let me Force Version. It says only version 1.1.3 is available. Here is the terminal output:

Code: Select all

user@amd-quad:/var/cache/apt/archives$ su
Password: 
amd-quad archives # dpkg -i solydx-info_1.1.2_amd64.deb
dpkg: error processing archive solydx-info_1.1.2_amd64.deb (--install):
 cannot access archive: No such file or directory
Errors were encountered while processing:
 solydx-info_1.1.2_amd64.deb
According the apt history.log, solydx-info was updated twice. Once from 1.1.2 to 1.1.3 and again 1.1.3 to 1.1.3. Here are the log entries:

Code: Select all

Start-Date: 2014-11-08  11:08:04
Commandline: apt-get --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes dist-upgrade
Upgrade: firefox:amd64 (33.0.2, 33.0.3), solydx-info:amd64 (1.1.2, 1.1.3), firefox-solydxk-adjustments:amd64 (33.0.2, 33.0.3), solydxk-usb-creator:amd64 (0.2.2, 0.2.3)
End-Date: 2014-11-08  11:08:26

Start-Date: 2014-11-09  10:18:11
Commandline: apt-get --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes dist-upgrade
Upgrade: curl:amd64 (7.38.0-2, 7.38.0-3), solydxk-softwaremanager:amd64 (7.6.6, 7.6.6-1), solydx-info:amd64 (1.1.3, 1.1.3), libcurl3:amd64 (7.38.0-2, 7.38.0-3), libcurl3-gnutls:amd64 (7.38.0-2, 7.38.0-3)
End-Date: 2014-11-09  10:19:00
Wildman
May the Source be with you.

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: Software & Updates Program Quit Working

Postby zerozero » 14 Nov 2014 23:44

the real solution has to come with code change reverting the regression that 1.1.3 introduced;
the steps i outlined above were just a way to troubleshoot the issue.
it's odd, tho, that you don't have 1.1.2 in the cache

Code: Select all

zerozero@xfce-32:/var/cache/apt/archives$ ls -lA | grep solydx-info
-rw-r--r-- 1 root root     2296 May 17 20:17 solydx-info_1.1.2_i386.deb
-rw-r--r-- 1 root root     2962 Nov  9 10:58 solydx-info_1.1.3_i386.deb
[from another system]
although i don't have the odd update from 1.1.3 to 1.1.3 :mrgreen: (but should that interfere in the cached archives? i don't think so)

Code: Select all

zerozero@xfce-32:/var/cache/apt/archives$ cat /var/log/apt/history.log

Start-Date: 2014-11-14  23:21:51
Commandline: apt-get --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes install updatemanager
Upgrade: updatemanager:i386 (2.4.3, 2.4.5)
End-Date: 2014-11-14  23:22:09

Start-Date: 2014-11-14  23:22:12
Commandline: apt-get --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes install gksu apt-show-versions deborphan apt curl python3-gi python-vte gir1.2-vte-2.90 gir1.2-webkit-3.0 python3 gir1.2-gtk-3.0 python3-pyinotify
Upgrade: libcurl3:i386 (7.38.0-2, 7.38.0-3), curl:i386 (7.38.0-2, 7.38.0-3)
End-Date: 2014-11-14  23:22:16

Start-Date: 2014-11-14  23:35:54
Commandline: apt-get --assume-yes -o Dpkg::Options::=--force-confdef -o Dpkg::Options::=--force-confold --force-yes dist-upgrade
Install: libpsl0:i386 (0.5.1-1, automatic)
Upgrade: solydx-info:i386 (1.1.2, 1.1.3), libmagic1:i386 (5.19-2, 5.20-2), firefox:i386 (33.0, 33.1), ddm:i386 (1.0.7, 1.0.8), lightdm-manager:i386 (0.6.6, 0.6.7), solydxk-flashplugin-11:i386 (11.2.202.411, 11.2.202.418), file:i386 (5.19-2, 5.20-2), firefox-solydxk-adjustments:i386 (33.0, 33.1), firefox-l10n-en-gb:i386 (33.0, 33.1), solydxk-system:i386 (1.2.5, 1.2.6), solydxk-softwaremanager:i386 (7.6.4, 7.6.6-1), wget:i386 (1.15-1+b1, 1.16-1), usermanager:i386 (0.6.7, 0.6.8), libcurl3-gnutls:i386 (7.38.0-2, 7.38.0-3), python3-magic:i386 (5.19-2, 5.20-2), debian-plymouth-manager:i386 (2.2.6, 2.2.6), wpasupplicant:i386 (2.2-1, 2.3-1), solydxk-sws:i386 (0.7.3, 0.7.4)
End-Date: 2014-11-14  23:36:28
bliss of ignorance

User avatar
Zill
Posts: 1850
Joined: 13 Aug 2013 14:28
Location: Lincolnshire, UK

Re: Software & Updates Program Quit Working

Postby Zill » 15 Nov 2014 12:34

zerozero wrote:...
it's odd, tho, that you don't have 1.1.2 in the cache...
Agreed. 1.1.2 is still available in my SolydX 32-bit system...

Code: Select all

roger@dino:/var/cache/apt/archives$ ls -lA | grep solydx-info
-rw-r--r-- 1 root root      2296 May 17 20:17 solydx-info_1.1.2_i386.deb
-rw-r--r-- 1 root root      2962 Nov  9 10:58 solydx-info_1.1.3_i386.deb
I have exactly the same error with 1.1.3 as described in the first post.

User avatar
zerozero
Posts: 5373
Joined: 10 Feb 2013 23:37
Location: West Midlands, England
Contact:

Re: Software & Updates Program Quit Working

Postby zerozero » 15 Nov 2014 22:29

after digging a bit more into this, it's not necessary to downgrade solydx|k-info to version 1.1.2
if you edit /etc/lsb-release and replace the 3rd line

Code: Select all

DISTRIB_CODENAME=solydxk
with

Code: Select all

DISTRIB_CODENAME=testing
save, software-properties-gtk should work again.
bliss of ignorance

User avatar
wildman
Posts: 246
Joined: 12 Feb 2014 23:31
Location: Kentucky, USA

Re: Software & Updates Program Quit Working

Postby wildman » 16 Nov 2014 16:26

zerozero wrote:after digging a bit more into this, it's not necessary to downgrade solydx|k-info to version 1.1.2
if you edit /etc/lsb-release and replace the 3rd line

Code: Select all

DISTRIB_CODENAME=solydxk
with

Code: Select all

DISTRIB_CODENAME=testing
save, software-properties-gtk should work again.
Yes, that fixed it. Thanks.
Wildman
May the Source be with you.

User avatar
Arjen Balfoort
Site Admin
Posts: 9282
Joined: 26 Jan 2013 19:36
Location: Netherlands
Contact:

Re: [Solved] Software & Updates Program Quit Working

Postby Arjen Balfoort » 05 Mar 2015 11:44

I've updated some solydxk packages and these files were updated:

Code: Select all

/etc/lsb-release
/usr/share/python-apt/templates/SolydXK.info
/usr/share/python-apt/templates/SolydXK.mirrors
software-properties-gtk seems to function almost correctly. However, when you save your settings the components "contrib" and "non-free" are always added to the repository line in /etc/apt/sources.list even when they are not referenced in SolydXK.info. So, if you know how to solve that...


SolydXK needs you!
Development | Testing | Translations


Return to “Bug Control”

Who is online

Users browsing this forum: No registered users and 1 guest